Bug 492738 - Problems with handling of unmatched messages from Postfix & SSHD (patch included)
Problems with handling of unmatched messages from Postfix & SSHD (patch inclu...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: logwatch (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-28 22:35 EDT by Konstantin Coocheenin
Modified: 2009-03-31 05:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-30 10:14:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logwatch-7.3.6-22.fc8 patch (977 bytes, patch)
2009-03-28 22:35 EDT, Konstantin Coocheenin
no flags Details | Diff
Fixed sshd script (for **Unmatched Entries**) (845 bytes, patch)
2009-03-30 09:05 EDT, Konstantin Coocheenin
no flags Details | Diff

  None (edit)
Description Konstantin Coocheenin 2009-03-28 22:35:31 EDT
Created attachment 337138 [details]
logwatch-7.3.6-22.fc8 patch

Description of problem:
Unmatched Entries from Postfix log

Version-Release number of selected component (if applicable):
logwatch-7.3.6-22.fc8
postfix-2.5.5-1.fc8

How reproducible:
Any

Steps to Reproduce:
1. Configure Postfix with TLS Options and run
2. Start Logwatch and see unhandled messages in output LIKE:

"1   Mar 28 21:47:47 websign postfix/smtpd[8286]: Anonymous TLS connection established from
curry.cirtexhosting.com[69.72.132.12]: TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits)"
  
Actual results:
Large amounts of unmatched messages in output during normal Postfix work

Expected results:
All messages matches, new TLS connection status added

Additional info:
Simple patch in the unified format in attachment
Comment 1 Konstantin Coocheenin 2009-03-30 09:01:50 EDT
*********************************************************************************
And few  **Unmatched Entries** in SSHD section.

LIKE:
"reverse mapping checking getaddrinfo for ppp-89-211-166-206.dyn.sample.net [89.211.166.206] failed - POSSIBLE
BREAK-IN ATTEMPT! : 1 time(s)"

Patch are attached.
Comment 2 Konstantin Coocheenin 2009-03-30 09:05:32 EDT
Created attachment 337215 [details]
Fixed sshd script (for **Unmatched Entries**)
Comment 3 Ivana Varekova 2009-03-30 10:12:57 EDT
Thanks, fixed in logwatch-7.3.6-41.fc11.
Comment 4 Konstantin Coocheenin 2009-03-30 15:18:58 EDT
(In reply to comment #3)
> Thanks, fixed in logwatch-7.3.6-41.fc11.  

Are RPM for fc8 not maintainted? Not any fixes for for 8 version?
Comment 5 Ivana Varekova 2009-03-31 03:05:11 EDT
Hello, 
fc8 is not supported yet - so I fix f11.
Comment 6 Konstantin Coocheenin 2009-03-31 05:34:44 EDT
(In reply to comment #5)
> Hello, 
> fc8 is not supported yet - so I fix f11.  

Ok, understand. Thanks.
And where can I download this newest version?

In links (below) don`t see this version:
http://download.fedora.redhat.com/pub/fedora/linux/development/source/SRPMS/
http://download.fedora.redhat.com/pub/fedora/linux/development/x86_64/os/Packages/

Note You need to log in before you can comment on or make changes to this bug.